PMGClass (Apache Commons BCEL 6.4.1 API)

org.apache.bcel.classfile

## Class PMGClass

- java.lang.Object
- - org.apache.bcel.classfile.Attribute
  - - org.apache.bcel.classfile.PMGClass

- All Implemented Interfaces:
    Cloneable, Node

      public final class PMGClass
      extends Attribute

  This class is derived from Attribute and represents a reference to a PMG attribute.
  See Also:
    `Attribute`

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.Attribute

      `constant_pool, length, name_index, tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PMGClass(int name_index, int length, int pmg_index, int pmg_class_index, ConstantPool constant_pool)`
    `PMGClass(PMGClass c)` Initialize from another object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
    `Attribute` | `copy(ConstantPool _constant_pool)`
    `void` | `dump(DataOutputStream file)` Dump source file attribute to file stream in binary format.
    `int` | `getPMGClassIndex()`
    `String` | `getPMGClassName()`
    `int` | `getPMGIndex()`
    `String` | `getPMGName()`
    `void` | `setPMGClassIndex(int pmg_class_index)`
    `void` | `setPMGIndex(int pmg_index)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.bcel.classfile.Attribute

      `addAttributeReader, addAttributeReader, clone, getConstantPool, getLength, getName, getNameIndex, getTag, println, readAttribute, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PMGClass

          public PMGClass(PMGClass c)

      Initialize from another object. Note that both objects use the same references (shallow copy). Use copy() for a physical copy.

    - #### PMGClass

          public PMGClass(int name_index,
                          int length,
                          int pmg_index,
                          int pmg_class_index,
                          ConstantPool constant_pool)

      Parameters:
        `name_index` - Index in constant pool to CONSTANT_Utf8
        `length` - Content length in bytes
        `pmg_index` - index in constant pool for source file name
        `pmg_class_index` - Index in constant pool to CONSTANT_Utf8
        `constant_pool` - Array of constants

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Specified by:
        `accept` in class `Attribute`
      Parameters:
        `v` - Visitor object

    - #### dump

          public void dump(DataOutputStream file)
                    throws IOException

      Dump source file attribute to file stream in binary format.
      Overrides:
        `dump` in class `Attribute`
      Parameters:
        `file` - Output file stream
      Throws:
        `IOException`

    - #### getPMGClassIndex

          public int getPMGClassIndex()

      Returns:
        Index in constant pool of source file name.

    - #### setPMGClassIndex

          public void setPMGClassIndex(int pmg_class_index)

      Parameters:
        `pmg_class_index` -

    - #### getPMGIndex

          public int getPMGIndex()

      Returns:
        Index in constant pool of source file name.

    - #### setPMGIndex

          public void setPMGIndex(int pmg_index)

      Parameters:
        `pmg_index` -

    - #### getPMGName

          public String getPMGName()

      Returns:
        PMG name.

    - #### getPMGClassName

          public String getPMGClassName()

      Returns:
        PMG class name.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Attribute`
      Returns:
        String representation

    - #### copy

          public Attribute copy(ConstantPool _constant_pool)

      Specified by:
        `copy` in class `Attribute`
      Returns:
        deep copy of this attribute

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.